#!/usr/bin/env python
from os import system

data_list = ['a9a','real-sim','ijcnn','mnist38','covtype','webspam']
testing_size = {'real-sim': 72309/5, 'covtype': 581012/5,'webspam':350000/5}

def split_38_from_mnist(input_file, output_file):
	data = open('%s'%input_file,'r').readlines()
	out = open('%s'%output_file,'w')	
	for line in data:
		label = int(line.split(' ')[0])
		if label == 3 or label == 8:
			out.write(line)
	out.close()

if 'a9a' in data_list:
	system('wget -O data/a9a http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/a9a')
	system('wget -O data/a9a.t http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/a9a.t')

if 'real-sim' in data_list:
	system('wget -O data/real-sim.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/real-sim.bz2')
	system('bunzip2 data/real-sim.bz2')
	system('python tools/subset.py data/real-sim %s data/real-sim.test data/real-sim.train'%int(testing_size['real-sim']))

if 'ijcnn' in data_list:
	system('wget -O data/ijcnn1.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/ijcnn1.bz2')
	system('bunzip2 data/ijcnn1.bz2')
	system('wget -O data/ijcnn1.t.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/ijcnn1.t.bz2')
	system('bunzip2 data/ijcnn1.t.bz2')

if 'covtype' in data_list:
	system('wget -O data/covtype.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/covtype.libsvm.binary.scale.bz2')
	system('bunzip2 data/covtype.bz2')
	system('python tools/subset.py data/covtype %s data/covtype.test data/covtype.train'%int(testing_size['covtype']))

if 'webspam' in data_list:
	system('wget -O data/webspam.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/binary/webspam_wc_normalized_unigram.svm.bz2')
	system('bunzip2 data/webspam.bz2')
	system('python tools/subset.py data/webspam %s data/webspam.test data/webspam.train'%int(testing_size['webspam']))

if 'mnist38' in data_list:
	system('wget -O data/mnist.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multiclass/mnist.scale.bz2')
	system('bunzip2 data/mnist.bz2')
	system('wget -O data/mnist.t.bz2 http://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multiclass/mnist.scale.t.bz2')
	system('bunzip2 data/mnist.t.bz2')
	split_38_from_mnist('data/mnist','data/mnist.38')
	split_38_from_mnist('data/mnist.t','data/mnist.t.38')
