#!/usr/bin/env python
from parameter import *
from parse_digit import *
from os import system

methodlist = ["linear","poly2","poly2libsvm.m1000","rbf.m1000"]
print """
\\begin{tabular}{@{}l|rr|rr@{}}	
	\\multirow{2}{*}{Data set}
	& \\multicolumn{2}{|c}{\\liblinear} 
	& \\multicolumn{2}{|c}{\\libsvm}\\\\
	& linear & degree-2 & degree-2 & RBF\\\\
\\hline
"""
acc = {}
for d in data:
	o = []
	for method in methodlist:
		dp = log_path + d + '.' + method + '.log'		
		try:
			tmp_data = open(dp,'r').readlines()
		except:
			traindata = path + data_path[d]
			model = model_path + d + '.' + method + '.model'
			testdata = path + test_path[d]

			if method == "linear":
				cmd = "time %s -c %s -s 3 -B -1 %s %s >> %s"%(linear_train_exe, best_lin_c[d],traindata,model,dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)
				cmd = "time %s %s %s tmp_file >> %s"%(linear_predict_exe, testdata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)

			if method == "rbf.m1000":
				cmd = "time %s -m 1000 -c %s -g %s -e 0.1  %s %s >> %s"%(libsvm_train_exe, best_rbf_c[d],best_rbf_g[d], traindata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)				
				cmd = "time %s %s %s tmp_file >> %s"%(libsvm_predict_exe, testdata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)

			if method == "poly2libsvm.m1000":
				cmd = "time %s -m 1000 -t 1 -d 2 -r 1 -c %s -g %s -e 0.1  %s %s >> %s"%(libsvm_train_exe,best_quad_c[d],best_quad_g[d], traindata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)				
				cmd = "time %s %s %s tmp_file >> %s"%(libsvm_predict_exe, testdata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)

			if method == "poly2":
				cmd = "time %s -c %s -g %s -r 1 -s 3 -B -1 %s %s >> %s"%(poly2_train_exe,best_quad_c[d],best_quad_g[d], traindata,model,dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)
				cmd = "time %s %s %s tmp_file >> %s"%(poly2_predict_exe,testdata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)
			tmp_data = open(dp,'r').readlines()

		for l in tmp_data:
			if 'cputime:' in l:
				time = l.split(' ')[1].strip()
				if 'NA' in time:
					digit = time
				else:
					digit = FormatWithCommas("%5.2f",float(time))				
				o.append(digit)				
	
	print "%s & %s & %s & %s & %s \\\\"%(output_name[d],o[0],o[1],o[2],o[3])
print "\\end{tabular}"
